VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | Friends | List of all members
SharedPointer< I > Class Template Reference
Inheritance diagram for SharedPointer< I >:

## Public Member Functions
| SharedPointer (I *ptr, bool remember=true) noexcept
| SharedPointer (const SharedPointer &) noexcept
| SharedPointer () noexcept
| ~SharedPointer () noexcept
I * | operator= (I *ptr) noexcept
SharedPointer< I > & | operator= (const SharedPointer< I > &) noexcept
| operator I * () const noexcept
I * | operator-> () const noexcept
I * | get () const noexcept
template<class T >
T * | cast () const
| SharedPointer (SharedPointer< I > &&mp) noexcept
SharedPointer< I > & | operator= (SharedPointer< I > &&mp) noexcept
template<typename T >
| SharedPointer (const SharedPointer< T > &op) noexcept
template<typename T >
SharedPointer & | operator= (const SharedPointer< T > &op) noexcept
template<typename T >
| SharedPointer (SharedPointer< T > &&op) noexcept
template<typename T >
SharedPointer & | operator= (SharedPointer< T > &&op) noexcept
template<class I>
| SharedPointer (const SharedPointer< I > &other) noexcept

## Protected Attributes
I * | ptr {nullptr}

## Friends
template<typename T >
class | SharedPointer

## Constructor & Destructor Documentation

SharedPointer | ( | I * | ptr,
|  | bool | remember = `true`
| ) |  |
| inline noexcept

SharedPointer | ( | const SharedPointer< I > & |  | ) |
| inline noexcept

SharedPointer | ( |  | ) |
| inline noexcept

~SharedPointer | ( |  | ) |
| inline noexcept

SharedPointer | ( | SharedPointer< I > && | mp | ) |
| inline noexcept

SharedPointer | ( | const SharedPointer< T > & | op | ) |
| inline noexcept

SharedPointer | ( | SharedPointer< T > && | op | ) |
| inline noexcept

SharedPointer | ( | const SharedPointer< I > & | other | ) |
| inline noexcept

## Member Function Documentation

T* cast | ( |  | ) | const
| inline

I* get | ( |  | ) | const
| inline noexcept

operator I * | ( |  | ) | const
| inline noexcept

I* operator-> | ( |  | ) | const
| inline noexcept

I * operator= | ( | I * | ptr | ) |
| inline noexcept

SharedPointer< I > & operator= | ( | const SharedPointer< I > & | _ptr | ) |
| inline noexcept

SharedPointer< I > & operator= | ( | SharedPointer< I > && | mp | ) |
| inline noexcept

SharedPointer& operator= | ( | const SharedPointer< T > & | op | ) |
| inline noexcept

SharedPointer& operator= | ( | SharedPointer< T > && | op | ) |
| inline noexcept

## Friends And Related Function Documentation

SharedPointer
| friend

## Member Data Documentation

I* ptr {nullptr}
| protected

The documentation for this class was generated from the following file:

- vstguibase.h